lincity-ng (2.9~git20150314-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:36:45 +0800

lincity-ng (2.9~git20150314-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.0.
  * Drop deprecated menu file and xpm icon. Remove imagemagick from B-D.
  * Move fonts-dejavu dependency from lincity-ng to lincity-ng-data.
    Thanks to Andreas Beckmann for the report. (Closes: #861049)

 -- Markus Koschany <apo@debian.org>  Fri, 30 Jun 2017 01:27:42 +0200

lincity-ng (2.9~git20150314-2) unstable; urgency=medium

  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Update my email address.
  * Vcs-fields: Use https.

 -- Markus Koschany <apo@debian.org>  Mon, 23 Jan 2017 15:47:20 +0100

lincity-ng (2.9~git20150314-1) unstable; urgency=medium

  [ Markus Koschany ]
  * Upload to unstable.
  * Imported Upstream version 2.9~git20150314.
  * Moved the package to Git.
  * Switch Vcs-Browser field to cgit.
  * Add README.source.
  * Install lincity-ng.png to /usr/share/icons/hicolor/128x128/apps directory.
  * debian/rules: Run makerelease.sh script.
  * Update debian/copyright for new release.

  [ Cyril Brulebois ]
  * Remove myself from Uploaders.

  [ Alexandre Detiste ]
  * Update debian/watch and homepage field. BerliOS is long dead, GoogleCode
    now too, moved to GitHub.

 -- Markus Koschany <apo@gambaru.de>  Tue, 05 May 2015 19:33:58 +0200

lincity-ng (2.9~beta-2) experimental; urgency=medium

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 3.9.6.
  * Switch to Git repository.
  * Rebuild to make the game installable again.

  [ Cyril Brulebois ]
  * Remove myself from Uploaders.

 -- Markus Koschany <apo@gambaru.de>  Sun, 26 Oct 2014 15:16:30 +0100

lincity-ng (2.9~beta-1) experimental; urgency=medium

  * Imported Upstream version 2.9~beta.
  * Drop all patches. Fixed upstream.
    - create-valid-desktop-file.patch
    - fix-format-not-a-string-literal-error.patch
    - fix-hyphen-is-used-as-minus-sign.patch
    - fix-out-of-boundary-crash.patch
    - failback-to-800x600.patch
  * debian/control:
    - Declare compliance with Debian policy 3.9.5.
    - Depend on fonts-dejavu instead of the deprecated ttf-dejavu package.
    - Move imagemagick to Build-Depends-Indep.
    - Remove obsolete Breaks and Replaces fields from lincity-ng binary
      package. Add Breaks and Replaces lincity-ng (<< 2.9~beta-1) to
      lincity-ng-data because architecture-independent icons have been moved to
      this package.
  * debian/menu: Change section to Games/Simulation.
  * debian/rules:
    - Convert icons in dh_auto_build-indep target.
    - Use dh_auto_build-arch target for jam -q.
    - Enable verbose build with jam -dax.
  * wrap-and-sort -sa.
  * Update lincity-ng-data.links because of the new fonts-dejavu-core package.
  * Add clean file.
  * Update watch file and mangle the upstream version correctly.
  * Update copyright years.
  * Install README-WaterWell and README-Unlimited with docs file.

 -- Markus Koschany <apo@gambaru.de>  Mon, 03 Feb 2014 16:57:11 +0100

lincity-ng (2.0-4) unstable; urgency=low

  * Add -f-switch to rm command when removing the font files in debian/rules.
    Prevents FTBFS on buildd.

 -- Markus Koschany <apo@gambaru.de>  Thu, 07 Mar 2013 18:41:28 +0100

lincity-ng (2.0-3) unstable; urgency=low

  [ Markus Koschany ]
  * Add myself to Uploaders.
  * Switch to package format 3.0 (quilt).
  * Bump compat level to 9 and require debhelper >= 9.
  * debian/control:
    - Bump Standards-Version to 3.9.4, no changes needed.
    - Drop quilt dependency. Package format 3.0 uses quilt by default.
    - Do not use versioned dependencies. They are not necessary anymore.
    - Add ${misc:Depends} to binary packages.
    - lincity-ng-data: Suggest lincity-ng.
    - Update to use canonical Vcs-fields. Fix broken Vcs-Browser link.
    - Change Conflicts to Breaks and Replaces relation which allows the dpkg
      package management system to find the best upgrade path more freely.
  * debian/rules:
    - Use dh sequencer to simplify debian/rules.
    - Build with --parallel and --autotools_dev addon.
    - Install RELNOTES as upstream changelog. Do not install it via docs file.
    - Build with hardening=+all.
  * Update debian/copyright to copyright format 1.0.
  * Install doc/lincity-ng.6 via manpages files.
  * Install arch-dependent files with lincity-ng.install and arch-independent
    files with lincity-ng-data.install.
  * Drop README.Debian. The information presented in this README file is
    outdated. (Closes: #638667)
  * New patches:
    - create-valid-desktop-file.patch: Remove deprecated UTF-8 Encoding key.
      Fix a typo and use the icon name without file extension. Add keywords.
      (LP: #674519)
    - Add fix-format-is-not-a-string-literal-error.patch to prevent a FTBFS.
    - fix-hyphen-is-used-as-minus-sign.patch: Creates a 100% valid manpage.
    - fix-out-of-boundary-crash.patch: The game can crash in rare cicumstances
      if you zoom out as far as possible and select the bulldozer tool. This
      patch fixes the issue. Thanks to Alain Baeckeroot for the report and
      patch. (Closes: #604172)
    - Add dep3 headers to all patches.
  * Symlink only sans.ttf, the other two fonts were removed by upstream.

  [ Gonéri Le Bouder ]
  * Remove myself from Uploaders.

  [ Cyril Brulebois ]
  * Update my mail address.

  [ Bruno "Fuddl" Kleinert ]
  * Fix typo in lincity-ng-data package description. (Closes: #557683)

 -- Markus Koschany <apo@gambaru.de>  Thu, 07 Mar 2013 16:37:16 +0100

lincity-ng (2.0-2) unstable; urgency=low

  * Upload to unstable

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 14 Feb 2009 15:12:24 +0100

lincity-ng (2.0-1) experimental; urgency=low

  * New upstream release
  * Update debian/copyright
  * Standard version: 3.8.0, no change
  * Add failback-to-800x600.diff to be able to launch the game
    even if the screen doesn't accept 1024x768

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 03 Feb 2009 21:20:45 +0100

lincity-ng (1.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #449367).
  * Move the homepage from the long description to a source field.
  * Add Vcs-Browser and Vcs-Svn fields.
  * debian/rules:
     - Add a find on *.desktop, piped into a sed command to delete the
       deprecated/obsoleted Encoding line.
     - Trim trailing whitespaces.
     - Use relative symlinks from /usr/share/games/lincity-ng/fonts to
       ../../../fonts/truetype/ttf-dejavu (Policy 10.5).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Wed, 05 Dec 2007 05:13:23 +0100

lincity-ng (1.1.1-2) unstable; urgency=high

  [ Gonéri Le Bouder ]
  * dpkg-buildpackage -B doesn't create the data package anymore
  * remove the dependency on ttf-bitstream-vera

  [ Cyril Brulebois ]
  * Add a conflict against lincity-ng-data (<< 1.1.1) to the lincity-ng
    package to make it possible to upgrade from older installations
    (Closes: #444887).
  * Set urgency to “high” since it also affects testing users.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Mon, 01 Oct 2007 18:52:36 +0200

lincity-ng (1.1.1-1) unstable; urgency=low

  * new upstream release (Closes: #439034)
   - remove patches merged in upstream: gcc-4.3.diff and
     remove-Application-section-from-desktopfile.diff
   - the hyphen-used-as-minus-sign typo in the manpage is fixed upstream,
     remove the fix from debian/rules
  * update the changelog
  * install the official icon instead of debian/lincity-ng.xpm and use
    convert from imagemagick to create a .xpm file for Debian menu system
  * rules: add a dh_desktop call to launch update-desktop-database
  * use ttf-dejavu instead of ttf-bitstream-vera (Closes: #440909)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 22 Aug 2007 00:09:56 +0200

lincity-ng (1.1.0-2) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * jam -q: exit the build process as soon as a file failes
  * add patch gcc-4.3.diff (Closes: #417374)
   - add quilt in the build-deps
  * keeps the desktop file in lincity-ng package instead of lincity-ng-data
    because a .desktop file shouldn't be installed without the binary it
    belongs
  * add remove-Application-section-from-desktopfile.diff to remove
    the wrong section "Application" from the desktop file
  * clean the files and directorys after the jam clean

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 21 Aug 2007 09:51:13 +0000

lincity-ng (1.1.0-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * add ttf-dejavu as a first font option since is a superset of
    ttf-bitstream-vera (Closes: #404396)

  [ Gonéri Le Bouder ]
  * New upstream release (Closes: #412217)
  * Add myself in Uploaders:
  * copy config.{sub,guess} from autotools-dev during the configure
  * lincity depends on lincity-ng-data (= ${source:Version}) instead of
    (>= 0.9rc1) to avoid unexpected error
  * add icon description in Debian menu. Thanks Mark Purcell (Closes: #407359)
  * game data in /usr/share/games

  [ Alexander Schmehl ]
  * add .xpm icon for the menu file

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 11 Jul 2007 22:41:50 +0200

lincity-ng (1.0.3-2) unstable; urgency=low

  * Acknowledge the previous NMU, thanks to Steinar H. Gunderson.
  * Add myself in the Uploaders field (Closes: #401776).
  * In debian/rules, clean target:
     - remove config.h along with config.{log,status} in the clean target, so
       that it does not pollute the source diff;
     - add a dash before ``jam clean'' so that cleaning an already-clean build
       tree doesn't generate an error;
     - remove Jamconfig as well as config.* files, but after ``jam clean''.
  * Bump debhelper compatibility from 4 to 5 (no change needed).
  * Bump Standards-Version from 3.6.2 to 3.7.2 (no change needed).
  * Update FSF address in debian/copyright.
  * Add newlines at the end of debian/docs and debian/README.Debian.
  * Add a debian/watch file.
  * Fix a dash (s{-}{\-}) in the doc/lincity-ng.6 manpage by adding a sed line
    in debian/rules, a temporary file, and adjust cleanup to leave source
    untouched.
  * Adjust commentaries in debian/rules.
  * Remove TODO in debian/docs (there were two of them).
  * Add an URL in debin/control.
  * Add a note in debian/copyright about Debian Games Team taking over the
    packaging, under the same license.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri,  8 Dec 2006 19:32:41 +0000

lincity-ng (1.0.3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add pkg-config to build-depends; fixes FTBFS, patch from Jérémy Bobbio.
    (Closes: #397694)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 16 Nov 2006 00:28:49 +0100

lincity-ng (1.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #379220)
  * Move lincity-ng into group maintenance by the Debian Games Group
  * Acknowledge GCC 4.1 NMU, thanks Martin. (Closes: #357339)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun,  6 Aug 2006 22:23:58 +0200

lincity-ng (1.0.2-1.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header file (Closes: #357339)

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 12:35:18 +0200

lincity-ng (1.0.2-1) unstable; urgency=low

  * New upstream release:
    - Recompile against new sdlgfx (Closes: #339627)
    - Swedish translation has been merged (Closes: #338052)

 -- Moritz Muehlenhoff <jmm@inutil.org>  Thu, 17 Nov 2005 19:30:49 +0100

lincity-ng (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Moritz Muehlenhoff <jmm@inutil.org>  Sat, 23 Jul 2005 11:49:00 +0200

lincity-ng (1.0-1) unstable; urgency=low

  * New upstream release
    - Man page has been merged upstream
  * Bumped Standard-Version to 3.6.2 (no changes needed)

 -- Moritz Muehlenhoff <jmm@inutil.org>  Sun,  3 Jul 2005 22:29:21 +0200

lincity-ng (0.9rc1-1) unstable; urgency=low

  * Initial release (Closes: #311787)

 -- Moritz Muehlenhoff <jmm@inutil.org>  Sat,  4 Jun 2005 01:38:11 +0200
